Bug 809328 - SELinux is preventing /usr/sbin/ldconfig from 'read' accesses on the directory /usr/bin.
SELinux is preventing /usr/sbin/ldconfig from 'read' accesses on the director...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:69d5f9d96a85b14c5f49b2ad9c0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 02:00 EDT by Mikhail
Modified: 2012-04-18 18:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-114.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 18:50:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-04-03 02:00:39 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc17.i686.PAE
time:           Вт. 03 апр. 2012 12:00:27

description:
:SELinux is preventing /usr/sbin/ldconfig from 'read' accesses on the directory /usr/bin.
:
:*****  Plugin leaks (86.2 confidence) suggests  ******************************
:
:If you want to ignore ldconfig trying to read access the bin directory, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/sbin/ldconfig /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (14.7 confidence) suggests  ***************************
:
:If you believe that ldconfig should be allowed read access on the bin directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep ldconfig /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:bin_t:s0
:Target Objects                /usr/bin [ dir ]
:Source                        ldconfig
:Source Path                   /usr/sbin/ldconfig
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           glibc-2.15-28.fc17.i686
:Target RPM Packages           filesystem-3-2.fc17.i686 google-chrome-
:                              unstable-19.0.1068.1-126852.i386
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.0-0.rc6.git0.2.fc17.i686.PAE #1 SMP Mon Mar 5
:                              17:02:45 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Пн. 19 марта 2012 09:55:16
:Last Seen                     Пн. 19 марта 2012 10:04:09
:Local ID                      fe43e624-b1bd-4301-b57c-c577ca48ed15
:
:Raw Audit Messages
:type=AVC msg=audit(1332129849.844:1464): avc:  denied  { read } for  pid=11292 comm="ldconfig" path="/usr/bin" dev="sda1" ino=48 scontext=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=dir
:
:
:type=AVC msg=audit(1332129849.844:1464): avc:  denied  { read } for  pid=11292 comm="ldconfig" path="/usr/bin" dev="sda1" ino=48 scontext=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1332129849.844:1464): arch=i386 syscall=execve success=yes exit=0 a0=e142ec0 a1=e389488 a2=bf97dd14 a3=e142ec0 items=0 ppid=9544 pid=11292 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts2 ses=2 comm=ldconfig exe=/usr/sbin/ldconfig subj=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 key=(null)
:
:Hash: ldconfig,ldconfig_t,bin_t,dir,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 2 Daniel Walsh 2012-04-05 16:23:08 EDT
Fixed in selinux-policy-3.10.0-111.fc17.noarch
Comment 3 Fedora Update System 2012-04-13 04:40:46 EDT
selinux-policy-3.10.0-114.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-114.fc17
Comment 4 Fedora Update System 2012-04-13 21:45:35 EDT
Package selinux-policy-3.10.0-114.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-114.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5870/selinux-policy-3.10.0-114.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-18 18:50:26 EDT
selinux-policy-3.10.0-114.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.